# /spatial | Stardust XR
Object managing spatial nodes for parenting.

Skip to main content

# /spatial

Object managing spatial nodes for parenting.

## Signals#

### `create(string name, Vector3 origin, Quat orientation, Vector3 scale, bool translatable, bool rotatable, bool scalable)` #

Creates a new Spatial at `/spatial/[name]`.

- Signals
  - `create(string name, Vector3 origin, Quat orientation, Vector3 scale, bool translatable, bool rotatable, bool scalable)`